
Redmine - Defect #7197

Tracker reset to default when replying to an issue email

2010-12-29 12:28 - Felix Schäfer

Status: Closed Start date: 2010-12-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

When replying to an issue email with no explicit tracker set either in the mail body or in the CLI defaults, replying to an issue per mail

reverts the tracker of the issue to the "default" tracker (first tracker in list). This is caused by 

source:/trunk/app/models/mail_handler.rb#L260 and was introduced in r4394.

Related issues:

Has duplicate Redmine - Defect #7424: Email integration problem, tracker is n... Closed 2011-01-24

Associated revisions

Revision 4575 - 2010-12-29 18:36 - Jean-Philippe Lang

Fixed: Tracker reset to default when replying to an issue email (#7197).

History

#1 - 2010-12-29 13:58 - Felix Schäfer

This moves setting the default tracker in the email receiving method:

diff --git a/app/models/mail_handler.rb b/app/models/mail_handler.rb

index 8925e4e..43eaf68 100644

--- a/app/models/mail_handler.rb

+++ b/app/models/mail_handler.rb

@@ -125,6 +125,7 @@ class MailHandler < ActionMailer::Base

     issue = Issue.new(:author => user, :project => project)

     issue.safe_attributes = issue_attributes_from_keywords(issue)

     issue.safe_attributes = {'custom_field_values' => custom_field_values_from_keywords(issue)}

+    issue.tracker ||= issue.project.trackers.find(:first)

     issue.subject = email.subject.to_s.chomp[0,255]

     if issue.subject.blank?

       issue.subject = '(no subject)'

@@ -260,7 +261,7 @@ class MailHandler < ActionMailer::Base

     assigned_to = nil if assigned_to && !issue.assignable_users.include?(assigned_to)

     {

-      'tracker_id' => ((k = get_keyword(:tracker)) && issue.project.trackers.find_by_name(k).try(:id)) || iss

ue.project.trackers.find

+      'tracker_id' => (k = get_keyword(:tracker)) && issue.project.trackers.find_by_name(k).try(:id),

       'status_id' =>  (k = get_keyword(:status)) && IssueStatus.find_by_name(k).try(:id),

       'priority_id' => (k = get_keyword(:priority)) && IssuePriority.find_by_name(k).try(:id),

       'category_id' => (k = get_keyword(:category)) && issue.project.issue_categories.find_by_name(k).try(:id

),

#2 - 2010-12-29 17:50 - Jean-Philippe Lang

- Target version set to 1.1.0

#3 - 2010-12-29 18:35 - Jean-Philippe Lang

- Resolution set to Fixed

Fixed with test in r4575.

#4 - 2010-12-29 18:38 - Jean-Philippe Lang

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mail_handler.rb#L260
https://www.redmine.org/projects/redmine/repository/svn/revisions/4394
https://www.redmine.org/projects/redmine/repository/svn/revisions/4575
http://www.tcpdf.org

